package ssd;

import java.io.FileInputStream;

import org.xml.sax.InputSource;
import org.xml.sax.XMLFilter;
import org.xml.sax.XMLReader;
import org.xml.sax.helpers.XMLReaderFactory;

public class SAXDemo {

	public static void main(String[] args) throws Exception {
		// read file
		FileInputStream fis = new FileInputStream(args[0]);
		InputSource is = new InputSource(fis);
		
		// create XMLReader and register the handlers
		XMLReader xr = XMLReaderFactory.createXMLReader();
		
		// additional code for filter-example
//		XMLFilter xf = new SSDFilter();
//		xf.setParent(xr);
//		xr = xf; // change only the reference of xr, not the Object!
		
		SSDHandler handler = new SSDHandler();
		xr.setContentHandler(handler);
		xr.setErrorHandler(handler);
		
		// modify default features
//		xr.setFeature("http://xml.org/sax/features/validation", true); // should validation errors be reported?
//		xr.setFeature("http://xml.org/sax/features/namespaces", true); // include namespaces and localNames in events
//		xr.setFeature("http://xml.org/sax/features/namespace-prefixes", false); // report xmlns:* attributes
		
		// parse the file and report events to the handler
		xr.parse(is);
	}

}
